Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr
Interface LastPositionFinder

All Known Implementing Classes:
  ArrayIterator, CompiledMemoClosure.ProgressiveIterator, EmptyIterator, GroupByIterator, GroupBySingletonIterator, ItemMappingIterator, ListIterator, ManualIterator, MemoClosure.ProgressiveIterator, NodeArrayIterator, NodeListIterator, OneItemGoneIterator, RangeIterator, Remove.RemoveIterator, ReverseArrayIterator, ReverseNodeArrayIterator, ReverseRangeIterator, SingleNodeIterator, SingletonIterator, SortedGroupIterator, SortedIterator, SortedTupleIterator, SubsequenceIterator, TailIterator

    public interface LastPositionFinder

A LastPositionFinder is an interface implemented by any SequenceIterator that is able to return the position of the last item in the sequence.

Method Summary
`int` | `getLastPosition()` Get the last position (that is, the number of items in the sequence).

Method Detail

### getLastPosition

    int getLastPosition()
                        throws XPathException

  Get the last position (that is, the number of items in the sequence). This method is non-destructive: it does not change the state of the iterator. The result is undefined if the next() method of the iterator has already returned null. This method must not be called unless the result of getProperties() on the iterator includes the bit setting `SequenceIterator.LAST_POSITION_FINDER`

  Throws:
    `XPathException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.